Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 232230 - Patches for vmware-workstation 6.5 beta2
Summary: Patches for vmware-workstation 6.5 beta2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
: 238940 239235 241608 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-07-18 19:24 UTC by Jeff Mitchell
Modified: 2008-11-09 21:18 UTC (History)
26 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fixed version of patch 000 (000_all_initd-location.patch,1.13 KB, patch)
2008-07-18 19:25 UTC, Jeff Mitchell
Details | Diff
Fixed version of patch 011 (011_all_legit-modules-only.patch,529 bytes, patch)
2008-07-18 19:26 UTC, Jeff Mitchell
Details | Diff
Vmware bundle unbundler 0.0.1 (unbundler.sh,2.12 KB, text/plain)
2008-09-30 23:33 UTC, Mike Auty
Details
64bit kernel modules (vmware-modules-1.0.0.23.amd64.tar.bz2,482.55 KB, application/x-bzip2)
2008-10-19 19:31 UTC, George Wu
Details
ported create icons from previous vmware ebuild (vmware-workstation-001.patch,851 bytes, patch)
2008-10-19 20:39 UTC, George Wu
Details | Diff
cosmetic cleanup (vmware-workstation-002.patch,1004 bytes, patch)
2008-10-19 20:48 UTC, George Wu
Details | Diff
Fix paths for gtk/pango so that vmware can start with VMWARE_USE_SHIPPED_GTK=yes (vmware-workstation-6.5.0.118166-fix-shipped-gtk-paths.patch,865 bytes, patch)
2008-10-29 12:45 UTC, Ahmed Ammar (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Mitchell 2008-07-18 19:24:22 UTC
VMware Workstation 6.5 beta 2 is out and requires a few changes to the ebuilds in the vmware overlay.  I've made these changes and attached to this bug are the changed files.

Other than that is a simple matter of renumbering the ebuild and the directory under files/ to 6.5.0.99530

Hopefully this will help you out so that you can get it into the overlay.
Comment 1 Jeff Mitchell 2008-07-18 19:25:56 UTC
Created attachment 160756 [details, diff]
Fixed version of patch 000
Comment 2 Jeff Mitchell 2008-07-18 19:26:33 UTC
Created attachment 160758 [details, diff]
Fixed version of patch 011
Comment 3 Mike Auty gentoo-dev 2008-07-19 09:02:54 UTC
Thanks Jeff, but I already receive all mail going to vmware@g.o, so CCing me in on this just sends me mail twice...  5:)

I've been looking into the beta myself, except that vmware went and removed the extremely helpful .tar.gz and changed it to a .bundle file (and changed the filename capitalization too).  It'll take me a little while to fix this (and it's lower priority than getting the modules to work with the 2.6.26 kernel).

Thanks again for the patches, once I get to a stage I can use them, they'll be very helpful...
Comment 4 Mike Auty gentoo-dev 2008-07-19 09:04:56 UTC
And I just woke up a bit more and saw that you CCed me before it was assigned to vmware, sorry.  In future, feel free to assign it directly to vmware.  Thanks again...  5:)
Comment 5 Jeff Mitchell 2008-07-19 11:44:46 UTC
I don't have the ability to do that   :-)

Anyways, about the bundle file -- on their web site it is a bundle file, yes, but when I simply changed the name of the ebuild it *did* find a .tar.gz file with the correct build number.

The only problem I actually had was that when I tried to start the vmware init script, several of the components failed.  But I'm not sure if they did in the previous beta since I didn't try it.
Comment 6 Grégoire Favre 2008-07-23 13:29:52 UTC
Is there any reason for not including it in the overlay ?
Comment 7 Mike Auty gentoo-dev 2008-07-23 13:36:02 UTC
Yes, Gregoire, there is.  The modules compile fine, and can be modprobed, but with module versioning enabled, can't be modprobed using "modprobe -f", which is how the init script adds them.  (Jeff, you can get the init script to start fine by modprobing vmmon and vmnet before you start it).

Frankly, I've got enough complaints about broken modules that adding new broken modules to the overlay isn't going to help anybody.

I'm sorry, but if you're experienced enough to play with overlays and ebuilds you have enough information here to do the bump yourself, and if not then you'll probably run into problems trying to get it running anyway and should best leave it alone until I've got it working and add it.
Comment 8 Manfred Knick 2008-07-25 09:26:34 UTC
(In reply to comment #5)

> The only problem I actually had was that when I tried to start the vmware init
> script, several of the components failed.  


@ Jeff Mitchell:

My results so far:

# /etc/init.d/vmware start
* Loading vmblock for drag and drop support ... [ ok ]
* Starting VMware services:                     [ ok ]
*   Virtual machine monitor                     [ ok ]
*   Virtual machine communication interface     [ !! ]
*   VM communication interface socket family:   [ !! ]
*   Virtual ethernet                            [ !! ]

Does this match yours?
Comment 9 Jeff Mitchell 2008-07-25 14:02:05 UTC
Yes.
Comment 10 Manfred Knick 2008-07-25 14:41:16 UTC
(In reply to comment #9)
> Yes.


just intuitively, I loaded all of them manually:
# modprobe vmnet
# modprobe vmci
# modprobe vsock
# modprobe vmblock

Afterwards 

# /etc/init.d/vmware start
 * Loading vmblock for drag and drop support ...  [ ok ]
 * Starting VMware services:                      [ ok ]
 *   Virtual machine monitor                      [ ok ]
 *   Virtual machine communication interface      [ ok ]
 *   VM communication interface socket family:    [ ok ]
 *   Virtual ethernet                             [ ok ]

succeded,
but still 

# tail /var/log/messages
Jul 25 13:09:39 mammut rc-scripts: status:  stopped
Jul 25 13:09:42 mammut vmware-start: Virtual machine monitor           done
Jul 25 13:09:42 mammut vmware-start: Virtual machine communication int donee
Jul 25 13:09:42 mammut vmware-start: VM communication interface socket donely:
Jul 25 13:09:42 mammut vmware-start: Virtual ethernet                  done

BUT STILL:
Starting a VM yields error message:
"The network bridge on device /dev/vmnet0 is not running. ..."


# /etc/init.d/vmware stop 

succeeded, but another 

# /etc/init.d/vmware start 

yielded the former errors:

# tail /var/log/messages
Jul 25 13:30:50 mammut modprobe: FATAL: Error inserting vmmon (/lib/modules/2.6.26-gentoo/misc/vmmon.ko): Invalid module format
Jul 25 13:30:50 mammut modprobe: FATAL: Error inserting vmci (/lib/modules/2.6.26-gentoo/misc/vmci.ko): Invalid module format
Jul 25 13:30:50 mammut modprobe: FATAL: Error inserting vmnet (/lib/modules/2.6.26-gentoo/misc/vmnet.ko): Invalid module format

Manually 

# modprobe  vmblock vmci vmmon vmnet vsock 

seemed to have succeded,
but another

# /etc/init.d/vmware start

yielded

Jul 25 16:39:34 mammut modprobe: FATAL: Error inserting vmmon (/lib/modules/2.6.26-gentoo/misc/vmmon.ko): Invalid module format
Jul 25 16:39:34 mammut modprobe: FATAL: Error inserting vmci (/lib/modules/2.6.26-gentoo/misc/vmci.ko): Invalid module format
Jul 25 16:39:34 mammut modprobe: FATAL: Error inserting vmnet (/lib/modules/2.6.26-gentoo/misc/vmnet.ko): Invalid module format

Very strange.
Comment 11 Manfred Knick 2008-07-26 07:23:15 UTC
(CONT.: comment #10)

Finally found a hint, perhaps:

# modprobe -v vmblock  vmci  vmmon  vmnet  vsock

insmod /lib/modules/2.6.26-gentoo/misc/vmblock.ko vmci vmmon vmnet vsock

FATAL: Error inserting vmblock (/lib/modules/2.6.26-gentoo/misc/vmblock.ko): Unknown symbol in module, or unknown parameter (see dmesg)
Comment 12 Manfred Knick 2008-07-26 07:39:18 UTC
(CONT.: comment #10)

Another observation:
Calling /etc/init.d/vmware start",
some logging information in var/log/messages gets obviously overridden:
note the additional "e" and "ly:" after the "done":

Jul 26 09:35:39 mammut vmware-start: Virtual machine monitor           done
Jul 26 09:35:39 mammut vmware-start: Virtual machine communication int donee
Jul 26 09:35:39 mammut vmware-start: VM communication interface socket donely:
Jul 26 09:35:39 mammut vmware-start: Virtual ethernet                  done

Comment 13 Manfred Knick 2008-07-26 07:48:03 UTC
(CONT.: comment #10)

Starting a VM: scaring about "/dev/mem" in /tmp/vmware-manfred/ui-13089.log:

Jul 26 09:39:49.516: vmui| Log for VMware Workstation pid=13089 version=e.x.p build=build-99530 option=BETA
...
Jul 26 09:39:49.920: vmui| HAL05Init: HAL05 Initialized successfully.
Jul 26 09:39:50.408: vmui| UUID: Unable to open /dev/mem: Keine Berechtigung
Jul 26 09:39:50.409: vmui| UUID: Valid gethostid routine. Value = FFFFFFFFA8C01501.
Jul 26 09:39:50.548: vmui| SMBIOS: can't open /dev/mem: Insufficient permissions to access the file
Jul 26 09:39:50.548: vmui| VmhsHostInfoPopulateSystem:  Could not get information from smbios to populate VMDB.
Jul 26 09:39:50.548: vmui| UUID: Unable to open /dev/mem: Keine Berechtigung
Comment 14 Manfred Knick 2008-07-26 08:00:58 UTC
(In reply to comment #10)

Always running

# modprobe -v vmblock
# modprobe -v vmci
# modprobe -v vmmon
# modprobe -v vsock
# modprobe -v vmnet

manually before

# /etc/init.d/vmware start

reliably starts the VMware environment.

Unfortunately, starting a VM, I still get the error
"The network bridge on device /dev/vmnet0 is not running. ..."
Comment 15 Grégoire Favre 2008-07-28 14:17:08 UTC
I guess I have to switch to an older kernel if I wish to try vmware.

I have to disagree with Mike Auty : it's way easyer to have those included in the overlay BUT masked than to add/modify and so the files, but of course it's a matter of taste ;-)
Comment 16 Harris Landgarten 2008-08-10 23:38:39 UTC
Getting Beta2 into the tree is urgent now that Beta1 has expired and will no longer start any vms. I managed to install Beta2 by doing the following:

1. copying and renaming the existing vmware-workstation-6.5.0.91182.ebuild in the overlay to vmware-workstation-6.5.0.99530.ebuild.

2. copying the files/6.5.0.91182 to files/6.5.0.99530 and replacing 000_all_initd-location.patch and 011_all_legit-modules-only.patch with the version in this bug.

3. emerge vmware-workstation then installed Beta2. The ebuild automatically downloaded tar.gz files from the net. No need for the .bundle file

4. The modules from 1.0.0.19 do not work with beta2 because the ebuild takes the modules from the 6.5.0.91182 tarball. I installed working modules by changing the SRC_URI= line in the 1.0.0.19.ebuild so that mirror: references the 99530 tarball. Having done this reinstalling vmware_modules installed working modules for beta2. What is the version number of the new modules?

I am running a 2.6.25 kernel and /etc/init.d/vmware start working as expecting and Beta2 is running without any issues.
Comment 17 Mike Auty gentoo-dev 2008-08-19 01:05:02 UTC
Thanks very much for the patches Jeff.  Sorry for the delay, finally got some time (well, it's 2AM, but I got there) so it's now been added to the overlay.  There's still the forced modules issue, but that's for another evening...
Comment 18 Harris Landgarten 2008-08-19 01:31:29 UTC
Sorry to add more but bets2 expires on 8/31 and RC1 build 11068 is out. The same patches might work but we need tar.gz files for the new release
Comment 19 Harris Landgarten 2008-08-24 23:05:39 UTC
Beta 2 expires in 7 days. After that it will be impossible to start any VMs. Has anyone done anything with RC1 build 110068 yet? Any idea how to get or build a 110068.x86_64.tar.gz?
Comment 20 Dmitriy Ugnichenko 2008-09-25 13:20:01 UTC
(In reply to comment #19)
> Beta 2 expires in 7 days. After that it will be impossible to start any VMs.
> Has anyone done anything with RC1 build 110068 yet? Any idea how to get or
> build a 110068.x86_64.tar.gz?
> 

Vmware 6.5 is released! So, should we start a new bug, or just continue it all here?
Comment 21 Richard Cox 2008-09-27 23:04:47 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > Beta 2 expires in 7 days. After that it will be impossible to start any VMs.
> > Has anyone done anything with RC1 build 110068 yet? Any idea how to get or
> > build a 110068.x86_64.tar.gz?
> > 
> 
> Vmware 6.5 is released! So, should we start a new bug, or just continue it all
> here?
> 
Indeed...and it has some very significant new features as well...hope this makes it soon...how cool would it be to have D3D working in VMWARE...then it's goodbye to my Windows dual boot forever...
Comment 22 Jeff Mitchell 2008-09-29 11:48:17 UTC
I should be able to try getting it to build soon...I can't commit to the overlay, but might at least be able to take some burden off Mike getting it to work.
Comment 23 Jeff Mitchell 2008-09-30 01:30:20 UTC
Fark.

When they released 6.5 final, they kept the bundle format.  No known location of a .tar.gz file.

I'm starting to wonder if extracting files out of an RPM might end up being the best bet.
Comment 24 Jeff Mitchell 2008-09-30 01:43:15 UTC
Fark*2

The RPM simply contains the bundle file.
Comment 25 Oswald 2008-09-30 08:12:12 UTC
Hi!
The bundle file offers an option to extract the contents of it. Sadly it fails for me with following errors:

./VMware-Workstation-6.5.0-118166.i386.bundle --extract=vmware-ws/
Extracting VMware Installer...done.
Traceback (most recent call last):
  File "/tmp/vmis.9vnRlZ/install/vmware-installer/vmware-installer.py", line 277, in <module>
    main(options)
  File "/tmp/vmis.9vnRlZ/install/vmware-installer/vmware-installer.py", line 86, in main
    options.extractBundle)
  File "/tmp/vmis.9vnRlZ/install/vmware-installer/vmis/core/transaction.py", line 376, in Extract
    ExtractComponents(repository.available, extractPath)
  File "/tmp/vmis.9vnRlZ/install/vmware-installer/vmis/core/transaction.py", line 397, in ExtractComponents
    raise ValueError(u'Specified extraction dir %s exists' % extractDir)
ValueError: Specified extraction dir /home/yoless/stuff/ff-downloads/vmware-ws/ exists

Maybe it is because I use python2.5, but I haven't the faintest idea what could cause the error, so it would be cool if someone else could look into that error.

And the only problem I have with the Installer (bot GTK and Console) is that it asks for a "System service runlevels" and I don't know where this directory could be, as it says for /etc/init.d and /etc/runlevels that they are no "init directorys"

Greetings, Oswald
Comment 26 Thomas Stein 2008-09-30 08:19:36 UTC
Extracting works for me:

commander src # sh VMware-Workstation-6.5.0-110068.i386.bundle --extract=vmware-ws                                                                                
Extracting VMware Installer...done.
commander src # cd vmware-ws/
commander vmware-ws # ls
vmware-installer  vmware-player-extras  vmware-vix
vmware-player     vmware-player-setup   vmware-workstation

Regarding the init directory error. You need:

commander vmware-ws # ls -l /etc/init.d/rc
rc0.d/ rc1.d/ rc2.d/ rc3.d/ rc4.d/ rc5.d/ rc6.d/

cheers
Comment 27 morhekil 2008-09-30 08:55:43 UTC
(In reply to comment #25)
> line 376, in Extract
>     ExtractComponents(repository.available, extractPath)
>   File "/tmp/vmis.9vnRlZ/install/vmware-installer/vmis/core/transaction.py",
> line 397, in ExtractComponents
>     raise ValueError(u'Specified extraction dir %s exists' % extractDir)
> ValueError: Specified extraction dir /home/yoless/stuff/ff-downloads/vmware-ws/
> exists

as it says in the quoted error - it doesn't like when target directory for extraction already exists. Just extract into another directory - the bundle will create this new dir and extract it's content into it.
Comment 28 Oswald 2008-09-30 10:06:38 UTC
Hi!

Yay, thanks, I can at least install and run it for now.

Greetings, Oswald
Comment 29 Oswald 2008-09-30 10:31:16 UTC
Hi again! 

I posted too early - VMWare-Workstation runs but I can't run a VirtualMachine - In the console it says I need to find vmware-config.pl und (re-)configure Workstation for my running kernel (2.6.26-tuxonice). 

Greetings, Oswald
Comment 30 Mike Auty gentoo-dev 2008-09-30 23:19:59 UTC
*** Bug 238940 has been marked as a duplicate of this bug. ***
Comment 31 Mike Auty gentoo-dev 2008-09-30 23:33:34 UTC
Created attachment 166875 [details]
Vmware bundle unbundler 0.0.1

Oswald, thanks for the extraction tip, it does appear to be an undocumented function of the installer.

Please note, this is not as easy as it might seem because vmware include multiple checks to ensure you're running as root when running the installer (even if it's just extracting), and portage with FEATURES="userpriv usersandbox" runs everything as a non-root user.

So the good news is, we appear to have seen the last of the perl installer, and the python installer comes with libraries to read and write the installation databases of previous versions which may prove to be handy.

The bad news is, the installer is still a pain in the backside for unsupported OS packagers, and I'm still working my way backwards through their code to figure out how on earth to get this thing installed the way it's supposed to with the minimum of changes and no compromise of interactivity.

For those wanting to play along at home, here's version 0.0.1 of the unbundler script I'll be using to unpack bundles before installation.

For everyone else, please sit tight, and don't ask soul-destroying questions like "when will it be in the tree?".  They don't help anybody and I will specifically avoid answering them, so they won't even help you.  Thanks...
Comment 32 Oswald 2008-10-01 05:57:25 UTC
(In reply to comment #31)
> Created an attachment (id=166875) [edit]
> Vmware bundle unbundler 0.0.1
> 
> Oswald, thanks for the extraction tip, it does appear to be an undocumented
> function of the installer.

Just to clarify: If you start the bundle file with --help you can see all options, including the extracting option.

Greetings, Oswald
Comment 33 Mike Auty gentoo-dev 2008-10-01 08:33:52 UTC
You're quite right, I just missed it because it was listing -x first.  I managed to pull a complete list from the python code anyway.  For anyone else that's interested, you can comment out the last command in the unbundler to unpack the python installer vmware's now using...
Comment 34 Jeroen Roovers (RETIRED) gentoo-dev 2008-10-01 12:43:57 UTC
*** Bug 239235 has been marked as a duplicate of this bug. ***
Comment 35 Mike Auty gentoo-dev 2008-10-12 19:52:52 UTC
*** Bug 241608 has been marked as a duplicate of this bug. ***
Comment 36 Billy DeVincentis 2008-10-18 18:37:15 UTC
I  have  successfully  installed  and  run  the  6.5  version  using  the  vmware  installer,  if  anyone  is  interested  in  the  exact  instructions  I  have  posted  them  here  in  a  short  how  to

http://forums.gentoo.org/viewtopic-p-5252020.html#5252020

This  is  just  a  temporary  solution  until  the  proper  ebuild  can  be  developed.
Comment 37 Mike Auty gentoo-dev 2008-10-19 16:08:26 UTC
Ok, I'm going to need some *very* brave and probably *extremely* foolhardy testers, to give the ebuilds I just pushed into the repository a go.

Please note, there's an *extremely* long pause in the middle of ebuilding, and I've no idea why the happens.  I'm off to ask the portage guys now.

Also, this won't nicely migrate your previous network settings, it'll probably chew them all up and spit out very little in return, sorry about that.

If you have any need of a working vmware installation *DO NOT INSTALL THIS*.  You have been warned.

Right, having tried to scare 9/10ths of you away, the remaining tenth, I'd be very grateful if you could post any major issues you find that aren't in the following list:

* AMD64 modules don't exist
* Icons and other useful polish hasn't been done yet
* Workstation install isn't interactive

I'm particularly interested in installation problems, error messages during installation, or basically any way that the thing screws up right up until you get a virtual machine running...

Ok guys, go to it.  5;)
Comment 38 emerald 2008-10-19 18:34:43 UTC
I'll gladly screw up my vmware installation to help getting it to work, but since i'm on amd64 only i'd need the modules to help :(
Is it so hard to get the modules working?
Comment 39 Mike Auty gentoo-dev 2008-10-19 18:38:32 UTC
No, not really.  I just need someone to extract them for me.  The process would be as follows:

Copy the .bundle file into an empty directory.
Run thing.bundle -x vmware-distrib.
cd vmware-distrib/vmware-player/lib/modules/
mv source vmware-modules-1.0.0.23
tar -cvjf vmware-modules-1.0.0.23.amd64.tar.bz2 vmware-modules-1.0.0.23

Then you can put that vmware-modules tarball into /usr/portage/distfiles and the rest should work.

If you can find a way of posting me a copy of that file, that'd be even better...  5:)
Comment 40 George Wu 2008-10-19 18:44:49 UTC
as i said on irc, tested working on x86
thanks Mike!
Comment 41 George Wu 2008-10-19 19:31:45 UTC
Created attachment 169120 [details]
64bit kernel modules

vmware kernel modules for 64bit, extracted via Mike Auty's unbundler
Comment 42 Mike Auty gentoo-dev 2008-10-19 20:37:14 UTC
Thanks to Emerald and George, the amd64 modules tarball is now up and available, so the ebuild should just work for amd64 now too.  Thanks guys!  5:)
Comment 43 George Wu 2008-10-19 20:39:56 UTC
Created attachment 169128 [details, diff]
ported create icons from previous vmware ebuild

add desktop icons
Comment 44 George Wu 2008-10-19 20:41:02 UTC
Comment on attachment 169128 [details, diff]
ported create icons from previous vmware ebuild

patch against ebuild r309
Comment 45 Mike Auty gentoo-dev 2008-10-19 20:42:16 UTC
Thanks George, I'm gonna have a go at forcing vmware to install everything under /opt/vmware/workstation/share into /usr/share instead (and tweak the installed desktop files so they point to the right executables...).
Comment 46 George Wu 2008-10-19 20:45:03 UTC
(In reply to comment #45)
> Thanks George, I'm gonna have a go at forcing vmware to install everything
> under /opt/vmware/workstation/share into /usr/share instead (and tweak the
> installed desktop files so they point to the right executables...).
> 

sure, whatever floats your boat :)
Comment 47 George Wu 2008-10-19 20:48:23 UTC
Created attachment 169130 [details, diff]
cosmetic cleanup

patch against r309
Comment 48 Alexey Fansky 2008-10-20 08:22:04 UTC
Hi all, 

I have tried to install vmware 6.5.0 118166 using latest ebuild in vmware overlay and i got:

>>> Emerging (2 of 2) app-emulation/vmware-workstation-6.5.0.118166
 * VMware-Workstation-6.5.0-118166.i386.bundle RMD160 SHA1 SHA256 size ;-) ...     [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
Unbundling /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/distdir/VMware-Workstation-6.5.0-118166.i386.bundle
 * Applying vmware-workstation-6.5.0.118166-installer.patch ...                                                                                      [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work ...
>>> Source compiled.
>>> Test phase [not enabled]: app-emulation/vmware-workstation-6.5.0.118166

>>> Install vmware-workstation-6.5.0.118166 into /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image/ category app-emulation
Traceback (most recent call last):
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmware-installer.py", line 17, in <module>
    from vmis.core.component import ComponentTypes
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/core/component.py", line 11, in <module>
    from lxml import etree
ImportError: No module named lxml
sed: can't read /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/vmware-confdir/bootstrap: No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/applications': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/icons': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/mime/packages': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/mime/application': No such file or directory
sed: can't read /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//usr/share/applications/*.desktop: No such file or directory
cp: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/vmware-confdir/*': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//etc/init.d/*': No such file or directory

%emerge --info
Portage 2.2_rc12 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.26-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.26-gentoo-r1-i686-Intel-R-_Core-TM-2_CPU_6320_@_1.86GHz-with-glibc2.0
Timestamp of tree: Tue, 14 Oct 2008 01:45:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r13, 2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i486-pc-linux-gnu"
CFLAGS="-O2 -mtune=native -pipe"
CHOST="i486-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.mgts.by/pub/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/vmware /usr/local/portage/layman/java-overlay /usr/portage/local/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl alsa berkdb bzip2 cli cracklib crypt cups dbus dri fortran gdbm gpm hal iconv ipod ipv6 isdnlog java kde kdeprefix kerberos ldap midi mudflap ncurses nls nptl nptlonly opengl openmp pam pcre perl pppd python qt3 qt4 readline reflection samba session spl ssl sysfs tcpd unicode win32codecs x86 xcb xorg zlib" ALSA_CARDS="ca0106" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

It seems that dev-python/lxml which is used by installer is not listed in the dependecies.
Comment 49 Mike Auty gentoo-dev 2008-10-20 08:50:35 UTC
Thanks Alex, I've now added this dependency into the ebuilds...  5:)
Comment 50 Jeff Mitchell 2008-10-20 14:32:29 UTC
You may want to pop something in env.d pointing a PATH segment to /opt/vmware/workstation/bin...?
Comment 51 Thomas Stein 2008-10-24 10:29:10 UTC
Tried to install 6.5 from overlay. Installation works but i can't start vmware. All i get is (started with: VMWARE_USE_SHIPPED_GTK=yes /opt/vmware/workstation/bin/vmware
):

Unable to load image-loading module: /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/lib/vmware/libconf/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/lib/vmware/libconf/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory

best regards
t.
Comment 52 Mike Auty gentoo-dev 2008-10-24 14:11:04 UTC
Ok, thanks Thomas.  That's something I'll look into (it is an ebuild fault), but please could you try it without VMWARE_USE_SHIPPED_GTK set?
Comment 53 Thomas Stein 2008-10-24 14:42:36 UTC
without use shipped gtk it gives the usual error:

/opt/vmware/workstation/lib/vmware/bin/vmware: symbol lookup error: /opt/vmware/workstation/lib/vmware/lib/libvmwareui.so.0/libvmwareui.so.0: undefined symbol:_ZThn24_N4view10FieldEntry17delete_text_vfuncEii

cheers
t.
Comment 54 Ahmed Ammar (RETIRED) gentoo-dev 2008-10-29 12:45:21 UTC
Created attachment 170215 [details, diff]
Fix paths for gtk/pango so that vmware can start with VMWARE_USE_SHIPPED_GTK=yes
Comment 55 Ahmed Ammar (RETIRED) gentoo-dev 2008-10-29 12:46:32 UTC
(In reply to comment #54)
> Created an attachment (id=170215) [edit]
> Fix paths for gtk/pango so that vmware can start with
> VMWARE_USE_SHIPPED_GTK=yes

Sorry for the confusion this is an ebuild patch. 

Comment 56 Thomas Stein 2008-10-29 13:49:43 UTC
With vmware-workstation-6.5.0.118166-fix-shipped-gtk-paths.patch applied everything works. Thanks Ahmed.
Comment 57 Loren Bandiera 2008-10-31 14:12:11 UTC
I tried installing vmware-workstation 6.5 from the overlay plus that patch from Ahmed. It installed fine. Everything seems to be working well. No problems that I can see right now.

Portage 2.2_rc12 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.26-gentoo-r2 x86_64)


Comment 58 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-11-01 12:26:27 UTC
(In reply to comment #53)
> without use shipped gtk it gives the usual error:
> 
> /opt/vmware/workstation/lib/vmware/bin/vmware: symbol lookup error:
> /opt/vmware/workstation/lib/vmware/lib/libvmwareui.so.0/libvmwareui.so.0:
> undefined symbol:_ZThn24_N4view10FieldEntry17delete_text_vfuncEii

That seems to be bug 235344.

I've installed the overlay version without any additional patches and it works fine on my ~x86 laptop and kernel 2.6.27. Didn't try the shipped gtk because it works without it.

Comment 59 morhekil 2008-11-01 12:56:40 UTC
It seems there's a missing dependency on dev-python/lxml. VMWare's installer complained about missing lxml and ended up broken until I've installed lxml.
Comment 60 morhekil 2008-11-01 13:13:20 UTC
Though after emerging lxml I still can't emerge VMware itself. After accepting the EULA it installs it's files but then immediately says "Rolling back VMware Workstation 6.5.0", "Deconfiguring... 100%" and stalls at this point.

Installing VMware Workstation 6.5.0
    Copying files...
Rolling back VMware Workstation 6.5.0Module Patcher: patching file ./vmware-confdir/components/vmware-workstation/vmware-workstation.pybfg_1.0.0

    Deconfiguring...
[######################################################################] 100%


I've tried to manually remove all stuff in /opt/vmware and /etc/vmware* but to no luck - still the same problem. Any hints on how I can debug it and find the reason it tries to roll back itself?
Comment 61 Mike Auty gentoo-dev 2008-11-01 21:22:59 UTC
Morhekil, thanks for the lxml dependency spot, I'm sure someone else mentioned it to me and I forgot to add it then.  It should make it in the next time I update the ebuild (to add in the path patch mentioned earlier).

If you're ok with editing ebuilds, then add a die line at the end of the src_install() function, and look around in the /var/tmp/portage/app-emulation/vmware-workstation/ (and vmware-confdir) for an install.log or a vmware.log or something and see if it explains why the installation was rolled back...
Comment 62 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-11-01 21:32:40 UTC
(In reply to comment #59)
> It seems there's a missing dependency on dev-python/lxml. VMWare's installer
> complained about missing lxml and ended up broken until I've installed lxml.
> 

The lxml dependency is already in the ebuild. Perhaps you have not synced the overlay recently? It could also explain the installation problems?
Comment 63 morhekil 2008-11-01 23:07:37 UTC
I've justed pulled in the overlay so it's the latest version. But yes, lxml was a false alarm, sorry - I've looked through the emerge logs and it was installed here before, that's why it wasn't pulled in by the vmware. Looks like it was broken and re-emerging fixed it.

But back to installation failures - I've figured out the reason finally. During one of the retries I've noticed the following error that appeared after files copying process:
ACCESS DENIED  symlink:   /opt/eclipse/plugins/com.vmware.bfg_1.0.0

I don't know what it doesn't appear every time, but it made clear that vmware's installer found my Eclipse installation and tried to symlink itself into it. That was rejected by Portage and installer got it as a complete installation failure and rolled back. 

Then I've tried to just remove /opt/eclipse directory - and it worked, now installation was completed fine. So seems that this things needs to be taked into account and either disabled or patched to use proper path for the symlink.

On the side note - deconfiguration process on rollback failed to complete for me every time - I'm able to get back into console with Ctrl+C back it still leaves some python process running and eating 100% of my CPU, that process needs to be killed manually.

And one last step was required for me to run the VMware - /opt/vmware/workstation/lib/vmware/libconf/etc/gtk-2.0/gdk-pixbuf.loaders contained wrong paths to the libraries those looked like /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/lib/vmware/libconf/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
I've just deleted the first part from var up to image - and it started up fine after this change.
Comment 64 Techwolf 2008-11-02 21:11:07 UTC
"At revision 314"

I'me getting hung at "90%". Looking at /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/vmware-installer.log:

Unable to install kernel modules
[vmware-workstation 6.5.0] Installation failed, rolling back installation.
Comment 65 Thomas Stein 2008-11-03 07:29:06 UTC
(In reply to comment #58)
> (In reply to comment #53)
> > without use shipped gtk it gives the usual error:
> > 
> > /opt/vmware/workstation/lib/vmware/bin/vmware: symbol lookup error:
> > /opt/vmware/workstation/lib/vmware/lib/libvmwareui.so.0/libvmwareui.so.0:
> > undefined symbol:_ZThn24_N4view10FieldEntry17delete_text_vfuncEii
> 
> That seems to be bug 235344.
> 
> I've installed the overlay version without any additional patches and it works
> fine on my ~x86 laptop and kernel 2.6.27. Didn't try the shipped gtk because it
> works without it.
> 

Yeah, true. After recompiling glibmm, gtkmm, libview (with ebuild patch from bug  239325) vmware starts without the need of "use_shipped_gtk". I don't know but i think it's the first time i can start vmware like that. Thanks Vlastimil.
Comment 66 morhekil 2008-11-03 13:18:58 UTC
Is anyone able to run their new visual network editor? It just fails silently for me when I'm trying to run it from VMWare (Edit -> Visual Network Editor), and complains about missing libgvmomi.so.0 when I'm trying to run /opt/vmware/workstation/bin/vmware-netcfg from the console. After symlinking this file from vmware's lib dir to /usr/lib it stops complaining but still doesn't start - just fails silently from the console, too.

Without this tool it seems there's no other way to configure networking as old style vmware-config.pl was removed from version 6.5
Comment 67 Mike Auty gentoo-dev 2008-11-03 16:50:57 UTC
Yep, I've had it running fine.  It needs to be run as root, and will attempt to use sudo or similar to run if you start it as a guest.  Also, it seems to take quite a long time to start up.  I haven't run into the link error you mentioned, but I'll look into it when I get a chance.  Please report back here as to how you get on with it.  Thanks...  5:)
Comment 68 morhekil 2008-11-03 18:18:07 UTC
Ok, after reemerging vmware from scratch and playing around I've been able to find two workarounds to the problem with network editor.

First is partial but helps to get things running - even when network editor fails to start, emerge --config vmware-workstation still works. I had to run it two times though as it failed for the first time leaving /etc/vmware/networking empty, but worked fine on the next run and created proper network config.

Second, with vmware reemerged I've been able to start network editor under both root and unprivileged used after symlinking libgtop-2.0.so.7 and libgvmomi.so.0 into system's lib dir and gksu-run-helper into bin dir. It still doesn't start from VMWare's menu but I can start it directly by calling vmware-netcfg.
Comment 69 Adam Tygart 2008-11-06 16:32:39 UTC
Trying to emerge this on AMD64 here and I get this right after the eula

sed: can't read /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/vmware-confdir/bootstrap: No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/applications': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/icons': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/mime/packages': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//opt/vmware/workstation/share/mime/application': No such file or directory
sed: can't read /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//usr/share/applications/*.desktop: No such file or directory
cp: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/vmware-confdir/*': No such file or directory
mv: cannot stat `/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image//etc/init.d/*': No such file or directory
 * The following installation segment takes a *very* long time.
 * Please be patient.
>>> Completed installing vmware-workstation-6.5.0.118166 into /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/image/
Comment 70 Mike Auty gentoo-dev 2008-11-06 17:21:37 UTC
Adam, please see comment 61 to help figure out what's going on.  You're welcome to email me directly if you have any questions about getting this going, etc...  5:)
Comment 71 Adam Tygart 2008-11-06 20:50:47 UTC
(In reply to comment #70)
> Adam, please see comment 61 to help figure out what's going on.  You're welcome
> to email me directly if you have any questions about getting this going, etc...
>  5:)
> 

This is what I am getting in vmware-installer.log

Using UI type console
Opening database file ./vmware-confdir/database
destination /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/temp/tmpAVxGGy/.installer/__init__.py already exists, overwriting.
destination /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/temp/tmpAVxGGy/.installer/__init__.py already exists, overwriting.
destination /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/temp/tmpAVxGGy/.installer/__init__.py already exists, overwriting.
destination /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/temp/tmpAVxGGy/.installer/__init__.py already exists, overwriting.
destination /var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/temp/tmpAVxGGy/.installer/__init__.py already exists, overwriting.
Top level exception handler
Traceback (most recent call last):
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/core/transaction.py", line 267, in RunTransaction
    txn.Run()
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/core/transaction.py", line 55, in Run
    self.get()()
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/core/common.py", line 77, in Show
    txn.ui.SetPrimaryProgressMessage(u'Installing %s %s' % (i.component.longName, i.component.version))
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 290, in SetPrimaryProgressMessage
    self._moveLine(PRIMARY_LINE)
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 273, in _moveLine
    self._moveBeginOfLine()
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 231, in _moveBeginOfLine
    sys.stdout.write(curses.tparm(curses.tigetstr('hpa'), 0))
TypeError: tparm() argument 1 must be string, not None
Rollback failed
Traceback (most recent call last):
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/core/transaction.py", line 298, in RunTransaction
    txn.Run()
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/core/transaction.py", line 55, in Run
    self.get()()
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 63, in Show
    txn.ui.ShowFinish(txn.success, txn.message)
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 125, in ShowFinish
    self._moveLine(self._lowestLine)
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 273, in _moveLine
    self._moveBeginOfLine()
  File "/var/tmp/portage/app-emulation/vmware-workstation-6.5.0.118166/work/payload/install/vmware-installer/vmis/ui/console.py", line 231, in _moveBeginOfLine
    sys.stdout.write(curses.tparm(curses.tigetstr('hpa'), 0))
TypeError: tparm() argument 1 must be string, not None


I am usually pretty good about figuring out what is going on on my own, but I have no idea with this one.
Comment 72 Mike Auty gentoo-dev 2008-11-06 22:23:53 UTC
Hiya Adam,

That seems to be a bug in the upstream installer.  It seems to be related to the terminal you're running it in...  I don't know enough about terminals, but on my box (in gnome-terminal) I get the following:

>>> curses.tigetstr('hpa')
'\x1b[%i%p1%dG'

In your version, it appears that'll return None.  If you're running emerge in screen or using any other unusual terminals, I'd recommend trying it in a normal terminal and please report back whether it works or not...
Comment 73 Adam Tygart 2008-11-07 16:59:32 UTC
(In reply to comment #72)
> Hiya Adam,
> 
> That seems to be a bug in the upstream installer.  It seems to be related to
> the terminal you're running it in...  I don't know enough about terminals, but
> on my box (in gnome-terminal) I get the following:
> 
> >>> curses.tigetstr('hpa')
> '\x1b[%i%p1%dG'
> 
> In your version, it appears that'll return None.  If you're running emerge in
> screen or using any other unusual terminals, I'd recommend trying it in a
> normal terminal and please report back whether it works or not...
> 

Thanks, that was exactly what the issue was. Running inside screen caused it to fail.
Comment 74 Mike Auty gentoo-dev 2008-11-09 21:18:43 UTC
Ok, most of the accumulated bugs mentioned here have been fixed up, and this ebuild's hit the main tree, so should there be any issues, please open NEW bugs.  Thanks everybody for your help with testing and patches, much appreciated!  5:)